Draft:Poligon

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Polygon and the translation is 10% complete.

Outdated translations are marked like this.
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe
Arrow-left.svg Previous: Draft Ellipse.svg Ellipse
Next: Rectangle Draft Rectangle.svg Arrow-right.svg

Draft Polygon.svg Draft Polygon

poziția meniului
Draft → Polygon
Workbenches
Draft, Arch
scurtătură
P G
Prezentat în versiune
-
A se vedea, de asemenea,
nici unul


Descriere

Instrumentul poligon creează un poligon regulat prin alegerea a două puncte, centrul și un al doilea punct care definesc o rază. Este nevoie de linewidth and color setată anterior pe fila Activități.

Draft polygon example.jpg

Draft polygon example.jpg

Cum se utilizează

  1. Apăsați tasta 16px

Proiect Polygon sau apăsați P apoi tastele G

  1. Faceți clic pe un prim punct al vizualizării 3D sau tastați un coordinate pentru a indica centrul
  2. Ajustați numărul dorit de laturi în dialogul de opțiuni,
  3. Faceți clic pe un alt punct al vizualizării 3D sau tastați o valoare de rază pentru a defini raza poligonului. Poligonul va fi, de asemenea, o fațetă, chiar dacă apare ca un cadru de sârmă.

The polygon can be edited by double clicking on the element in the tree view, or by pressing the Draft Edit.svg Draft Edit button. Then you can move the center and radius points to a new position.

The polygon is created inscribed in a circle of the specified radius; it can be switched to circumscribed after creation by changing its draw mode property.

The number of sides of the polygon can also be changed after creation by changing its faces number property.

Opțiuni

  • Pentru a introduce manual coordonatele, pur și simplu introduceți numerele, apoi apăsați ENTER între fiecare componentă X, Y și Z.
  • Apăsați tasta T sau faceți clic pe caseta de selectare pentru a bifa/debifa butonul Continue. Dacă modul continuat este activat, instrumentul Polygon se va reporni după ce îl terminați sau închideți, permițându-vă să desenați alta fără a apăsa din nou butonul Polygon.
  • Apăsați CTRL în timp ce desenați pentru a forța snapping punctul dvs. către cea mai apropiată locație, independent de distanța.
  • Apăsați pe SHIFT în timp ce desenați constrain următorul punct pe orizontală sau pe verticală în raport cu ultima.
  • Apăsați butonul I sau butonul 'Completat' ' pentru a avea poligonul umplut cu o față după ce a fost închis
  • Apăsați butonul ESC sau butonul 'Anulare' pentru a întrerupe comanda curentă.
  • Poligoanele, în modul de afișare "Flat Lines", pot afișa un model de trapă, prin setarea proprietății "Pattern" de mai jos.

Proprietăți

  • DATERadius: Raza cercului definitoriu
  • DATEDraw Mode: Specifică dacă poligonul este înscris sau circumscris în jurul cercului definitoriu
  • DATEFaces Number: Numărul laturilor poligonului
  • DATEChamfer Size: Specifică dimensiunea colțurilor zimțate
  • DATEFillet Radius: Specifică o rază de curbură pentru a da colțurilor dreptunghiului
  • DATEMake Face: Umple poligonul cu o față
  • VEDEREPattern: Specifică un model de trasare pentru a umple firul cu
  • VEDEREDimensiune model: Specifică dimensiunea șablonului de trasare

Data

  • DATARadius: specifies the radius of the circle that defines the polygon.
  • DATADraw Mode: specifies if the polygon is inscribed in a circle, or circumscribed around a circle.
  • DATAFaces Number: specifies the number of sides of the polygon.
  • DATAChamfer Size: specifies the size of the chamfers (straight segments) created on the corners of the polygon.
  • DATAFillet Radius: specifies the radius of the fillets (arc segments) created on the corners of the polygon.
  • DATAMake Face: specifies if the shape makes a face or not. If it is True a face is created, otherwise only the perimeter is considered part of the object.

View

  • VIEWPattern: specifies a Draft Pattern with which to fill the face of the polygon. This property only works if DATAMake Face is True, and if VIEWDisplay Mode is "Flat Lines".
  • VIEWPattern Size: specifies the size of the Draft Pattern.

Script-Programare

Instrumentul Polygon poate fi utilizat în macros și din consola python utilizând următoarea funcție:

The Polygon tool can be used in macros and from the Python console by using the following function:

Polygon = makePolygon(nfaces, radius=1, inscribed=True, placement=None, face=None, support=None)
  • Creează un obiect poligon cu numărul dat de fețete și raza.
  • Dacă este inscripționat Fals, poligonul este circumscris în jurul unui cerc cu raza dată, altfel este inscris.
  • Dacă fața este adevărată, forma rezultată este afișată ca o față, în caz contrar ca un cadru de sârmă.
  • Returnează obiectul nou creat.

Exempluː

import FreeCAD, Draft

Polygon1 = Draft.makePolygon(4, radius=500)
Polygon2 = Draft.makePolygon(5, radius=750)

ZAxis = FreeCAD.Vector(0, 0, 1)
p3 = FreeCAD.Vector(1000, 1000, 0)
place3 = FreeCAD.Placement(p3, FreeCAD.Rotation(ZAxis, 90))

Polygon3 = Draft.makePolygon(6, radius=1450, placement=place3)
Arrow-left.svg Previous: Draft Ellipse.svg Ellipse
Next: Rectangle Draft Rectangle.svg Arrow-right.svg